---
DocTitle: Redfish Ethernet Switch Proposal Readme
DocNumber: 'IS0004'
DocClass: Informative
DocVersion: '0.9b'
modified: '2020-01-24'
status: Work in Progress
released: false
copyright: '2017-2020'
---
# Foreword

**IMPORTANT**: These documents are not final. They do not necessarily reflect the views of the DMTF or its members. Because these documents are a Work in Progress, these documents may still change, perhaps profoundly and without notice. These documents are available for public review and comment until superseded.

The DMTF released the ["YANG-to-Redfish Mapping Specification"](http://www.dmtf.org/sites/default/files/standards/documents/DSP0271_0.5.6.pdf) as work-in-progress in October 2016. The document specifies how to convert a YANG model to a Redfish model.

This proposal was produced by mapping of the following OpenConfig YANG modules.

* openconfig-acl
* openconfig-interfaces
* openconfig-lacp
* openconfig-lldp
* openconfig-local-routing
* openconfig-qos

There are difference in Redfish schema mapped from YANG models. The most salient are:

* The Redfish metafile name may not be Pascal case. The capitalization from the YANG model statement is used.
* The Redfish metafile includes multiple entities.

# Redfish Work-in-Progress Schemas

The following new schema files are released as Work In Progress documents. 

| Schema File | Version | Date      | Description     |
| ---         | ---     | ---       | ---             |
| ServiceRoot | 1.3.0a | 2017-04-14 | Add NetworkDevices to service root. |
| RedfishYangExtensions | 1.0.0a | 2017-04-14 | Initial release. Definitions specific to the schema generated from YANG models. |

## Primary YANG modules

| Schema File | Version | Date      | Description     |
| ---         | ---     | ---       | ---             |
| openconfig_acl | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-acl.yang. |
| openconfig_interfaces | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-interfaces.yang. |
| openconfig_lacp | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-lacp.yang. |
| openconfig_lld | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-lldp.yang. |
| openconfig_local_routing | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-local-routing.yang. |
| openconfig_qos | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-qos.yang. |

## Referenced YANG modules

| Schema File | Version | Date      | Description     |
| ---         | ---     | ---       | ---             |
| openconfig_alarm_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-alarm-types.yang. |
| openconfig_extensions | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-extensions.yang. |
| openconfig_if_aggregate | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-if-aggregate.yang. |
| openconfig_if_ethernet | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-if-ethernet.yang. |
| openconfig_if_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-if-types.yang. |
| openconfig_inet_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-inet-types.yang. |
| openconfig_network_instance | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-network-instance.yang. |
| openconfig_network_instance | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-network-instance.yang. |
| openconfig_network_instance_l2 | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-network-instance-l2.yang. |
| openconfig_network_instance_l3 | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-network-instance-l3.yang. |
| openconfig_network_instance_policy | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-network-instance-policy.yang. |
| openconfig_network_instance_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-network-instance-types.yang. |
| openconfig_packet_match | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-packet-match.yang. |
| openconfig_packet_match_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-packet-match-types.yang. |
| openconfig_platform | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform.yang. |
| openconfig_platform_cpu | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-cpu.yang. |
| openconfig_platform_ext | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-ext.yang. |
| openconfig_platform_fan | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-fan.yang. |
| openconfig_platform_linecard | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-linecard.yang. |
| openconfig_platform_port | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-port.yang. |
| openconfig_platform_psu | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-psu.yang. |
| openconfig_platform_tranceiver | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-tranceiver.yang. |
| openconfig_platform_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-platform-types.yang. |
| openconfig_qos | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-qos.yang. |
| openconfig_qos_elements | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-qos-elements.yang. |
| openconfig_qos_interfaces | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-qos-interfaces.yang. |
| openconfig_qos_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-qos-types.yang. |
| openconfig_transport_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-transport-types.yang. |
| openconfig_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-types.yang. |
| openconfig_vlan | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-vlan.yang. |
| openconfig_vlan_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-vlan-types.yang. |
| openconfig_yang_types | 1.0.0a | 2020-01-24 | Initial release. Mapped from openconfig-yang-types.yang. |